Bug 238523 - FC7 causes shutdown on Gateway Solo laptop
FC7 causes shutdown on Gateway Solo laptop
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
: 238536 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-30 21:49 EDT by Matthew McDevitt
Modified: 2008-01-22 11:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 11:05:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci of my laptop (18.03 KB, text/plain)
2008-01-13 19:17 EST, François Kooman
no flags Details
dmesg of my laptop (15.03 KB, text/plain)
2008-01-13 19:18 EST, François Kooman
no flags Details

  None (edit)
Description Matthew McDevitt 2007-04-30 21:49:26 EDT
Description of problem:
Fedora Core 7 Test 4 causes a shutdown (power down) upon 1st boot on my Gateway
Solo 9500 laptop.

Note that this also happened when I had Fedora Core 6, after I let it install
the entire "250 updates".

Also note that when I choose the OLD FC6 kernel, the laptop boots up just fine.

Version-Release number of selected component (if applicable):
Fedora Core 7 Test4

How reproducible:
Any Gateway Solo 9500, I'd guess.

Steps to Reproduce:

Install FC7 Test4 on a Gateway Solo with these specs:

1.0 GHz Pentium III
256 MB RAM
20 GB hard drive
15" Active-matrix screen
ATI Mobility M4 with 8 MB RAM
DVD-ROM/CD-RW drive (Matsushita UJDA330?)
ESS Allegro PCI Audio
Actiontek 56k modem
Built-in NIC
Linksys WPC11 v.4 Wireless.B PCMCIA card
2 USB (1.1) ports
 

Actual results:


Expected results:

Shutdown happens on EVERY boot-up. Unless I install FC6, I can't use this
laptop. Something must be drastically different in FC7 for this to happen.

Additional info:
Comment 1 Matthew McDevitt 2007-05-20 00:54:48 EDT
Here is an important excerpt from my "messages" log:
(I got the error to happen again -- I installed FC6, then updated the kernel)
------------------------------

May 19 10:38:42 laptop avahi-daemon[2064]: Server startup complete. Host name is
laptop.local. Local service cookie is 2486987572.
May 19 10:38:49 laptop smartd[2164]: smartd version 5.36 [i686-redhat-linux-gnu]
Copyright (C) 2002-6 Bruce Allen
May 19 10:38:49 laptop smartd[2164]: Home page is
http://smartmontools.sourceforge.net/
May 19 10:38:49 laptop smartd[2164]: Opened configuration file /etc/smartd.conf
May 19 10:38:49 laptop smartd[2164]: Configuration file /etc/smartd.conf parsed.
May 19 10:38:49 laptop smartd[2164]: Device: /dev/hda, opened
May 19 10:38:49 laptop smartd[2164]: Device: /dev/hda, found in smartd database.
May 19 10:38:49 laptop smartd[2164]: Device: /dev/hda, is SMART capable. Adding
to "monitor" list.
May 19 10:38:49 laptop smartd[2164]: Monitoring 1 ATA and 0 SCSI devices
May 19 10:38:50 laptop smartd[2164]: Device: /dev/hda, 2 Currently unreadable
(pending) sectors

May 19 10:38:50 laptop smartd[2164]: Warning via mail to root: successful
May 19 10:38:50 laptop smartd[2172]: smartd has fork()ed into background mode.
New PID=2172.
May 19 10:38:52 laptop pcscd: winscard.c:219:SCardConnect() Reader E-Gate 0 0
Not Found
May 19 10:38:52 laptop last message repeated 9 times
May 19 10:38:53 laptop kernel: [drm] Initialized drm 1.0.1 20051102
May 19 10:38:54 laptop kernel: ACPI: PCI Interrupt 0000:01:00.0[A] -> Link
[LNKB] -> GSI 10 (level, low) -> IRQ 10
May 19 10:38:54 laptop kernel: [drm] Initialized r128 2.5.0 20030725 on minor 0
May 19 10:38:54 laptop kernel: agpgart: Found an AGP 2.0 compliant device at
0000:00:00.0.
May 19 10:38:54 laptop kernel: agpgart: Putting AGP V2 device at 0000:00:00.0
into 1x mode
May 19 10:38:54 laptop kernel: agpgart: Putting AGP V2 device at 0000:01:00.0
into 1x mode
May 19 10:39:42 laptop gconfd (root-2401): starting (version 2.14.0), pid 2401
user 'root'
May 19 10:39:42 laptop gconfd (root-2401): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.mandatory" to a read-only configuration
source at position 0
May 19 10:39:42 laptop gconfd (root-2401): Resolved address
"xml:readwrite:/root/.gconf" to a writable configuration source at position 1
May 19 10:39:42 laptop gconfd (root-2401): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration source
at position 2
May 19 10:39:49 laptop pcscd: winscard.c:219:SCardConnect() Reader E-Gate 0 0
Not Found
May 19 10:39:49 laptop last message repeated 4 times
May 19 10:39:56 laptop gconfd (root-2401): Resolved address
"xml:readwrite:/root/.gconf" to a writable configuration source at position 0
May 19 11:08:50 laptop smartd[2172]: Device: /dev/hda, 2 Currently unreadable
(pending) sectors
May 19 11:16:26 laptop Updated: nash.i386 5.1.19.0.3-1
May 19 11:16:48 laptop Updated: parted.i386 1.8.2-2.fc6

May 19 11:16:51 laptop Updated: mkinitrd.i386 5.1.19.0.3-1
May 19 11:17:51 laptop kernel: end_request: I/O error, dev fd0, sector 0
May 19 11:17:51 laptop Installed: kernel.i686 2.6.20-1.2948.fc6
May 19 11:18:02 laptop Installed: kmod-ndiswrapper.i686 1.43-1.2.6.20_1.2948.fc6
May 19 11:18:04 laptop Installed: ndiswrapper.i386 1.43-1.lvn6
May 19 11:22:36 laptop gconfd (root-2401): Exiting
May 19 11:22:38 laptop gdm[2248]: Restarting computer...
May 19 11:22:40 laptop kernel: pccard: card ejected from slot 1
May 19 11:22:40 laptop shutdown[2248]: shutting down for system reboot
May 19 11:22:42 laptop smartd[2172]: smartd received signal 15: Terminated 
May 19 11:22:42 laptop smartd[2172]: smartd is exiting (exit status 0)
May 19 11:22:43 laptop kernel: pccard: CardBus card inserted into slot 1
May 19 11:22:44 laptop avahi-daemon[2064]: Got SIGTERM, quitting.
May 19 11:22:44 laptop avahi-daemon[2064]: Leaving mDNS multicast group on
interface eth0.IPv6 with address fe80::220:e0ff:fe6a:79bd.
May 19 11:22:44 laptop avahi-daemon[2064]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 192.168.1.226.
May 19 11:22:54 laptop hcid[1808]: Got disconnected from the system message bus
May 19 11:22:55 laptop rpc.statd[1756]: Caught signal 15, un-registering and
exiting.
May 19 11:22:56 laptop pcscd: pcscdaemon.c:529:signal_trap() Preparing for suicide
May 19 11:22:57 laptop pcscd: hotplug_libusb.c:361:HPEstablishUSBNotifications()
Hotplug stopped
May 19 11:22:57 laptop pcscd: readerfactory.c:1350:RFCleanupReaders() entering
cleaning function
May 19 11:22:57 laptop pcscd: pcscdaemon.c:489:at_exit() cleaning /var/run
May 19 11:22:57 laptop kernel: Kernel logging (proc) stopped.
May 19 11:22:57 laptop kernel: Kernel log daemon terminating.
May 19 11:22:58 laptop exiting on signal 15
Comment 2 Christopher Brown 2007-09-13 10:49:06 EDT
Hello Matthew,

I'm reviewing this bug as part of the kernel bug triage project.

http://fedoraproject.org/wiki/KernelBugTriage

Are you still experiencing this issue and if so with a fresh F7 install?

You might also want to try some of the following:

# For boot related issues we need as much info as possible, so removing quiet
from the boot flags should be the first thing to ask for.
# Slowing down the speed of text output with boot_delay=1000 (the number may
need to be tweaked higher/lower to suit) may allow the user to take a digital
camera photo of the last thing on screen.
# Booting with vga=791 (or even just vga=1 if the video card won't support 791)
will put the framebuffer into high resolution mode to get more lines of text on
screen, allowing more context for bug analysis.
# initcall_debug will allow to see the last thing the kernel tried to initialise
before it hung.
# There are numerous switches that change which at times have proven to be
useful to diagnose failures by disabling various features.

* acpi=off is a big hammer, and if that works, narrowing down by trying
pci=noacpi instead may yield clues
* nolapic and noapic are sometimes useful
* Given it's new and still seeing quite a few changes, nohz=off may be worth
testing. (Though this is F7 and above only) 

#If you get no output at all from the kernel, sometimes booting with
earlyprintk=vga can sometimes yield something of interest.
#If the kernel locks up with a 'soft lockup' report, booting with nosoftlockup
will disable this check allowing booting to continue.

Cheers
Chris
Comment 3 François Kooman 2007-12-26 07:13:52 EST
I have the same problem, see #238536. I would like to have this resolved as it 
is not only a Fedora problem, but I see the same behaviour in Ubuntu for 
example. Which is a bit of a pain as now I'm forced to use Windows :P (or one 
of the BSD's if I don't want to have wireless working...) 

I remember trying all the noapic, acpi=off etc boot parameters which didn't 
have any effect. I remember the problem started occuring between the Fedora 
Core 6 and it's first errata kernel release and somehow now it also showed up 
in Linus' tree I guess because it's also a problem in Ubuntu.

The tips above you give are probably not of any use as the machine powers down, 
so no hang or whatever. It occurs also not during the loading of the kernel (at 
least for me...) but during I think udev init. 

Is there a way to debug this udev stuff or make it print everything it does so 
I can maybe use a serial console to print all the stuff?

I actually haven't tried this with the latest F8 stuff so maybe it is already 
resolved, but it's quit a pain to have dual boot on this system with its small 
harddisk so it's now Windows only...booting the install CD won't cause the 
problem as it doesn't do any udev stuff as far as I know...
Comment 4 Christopher Brown 2008-01-08 19:17:52 EST
*** Bug 238536 has been marked as a duplicate of this bug. ***
Comment 5 Christopher Brown 2008-01-08 19:25:41 EST
(In reply to comment #3)
> I have the same problem, see #238536. 

I have therefore marked that as a duplicate of this one as you did not seem to
update that bug report.

Could both reporters add some information regarding hardware.

# lscpci -vvxxx

as text/plain attachments would be a good start. If shutdown occurs on every
boot up then try booting into runlevel 3 (append 3 to kernel boot parameters).

Any other info such as previous boot log etc would be helpful.

Cheers
Chris
Comment 6 François Kooman 2008-01-13 19:16:55 EST
Shutdown occurs on almost every boot. What I did now is take the rawhide
boot.iso and boot in rescue mode to be able to do dmesg and lspci. the boot.iso
doesn't do the udev "magic" a normal boot performs so it doesn't poweroff.
Attached dmesg and lspci after booting the rawhide boot.iso (20080113)
Comment 7 François Kooman 2008-01-13 19:17:49 EST
Created attachment 291523 [details]
lspci of my laptop
Comment 8 François Kooman 2008-01-13 19:18:11 EST
Created attachment 291524 [details]
dmesg of my laptop
Comment 9 Christopher Brown 2008-01-13 21:50:37 EST
Thanks. You mentioned before regarding debugging udev - you might want to
consider install the debuginfo package if you are able to:

# yum install udev-debuginfo --enablerepo=fedora-debuginfo

If you are able to boot long enough then you can run it with:

# udevd --daemon --debug-trace --verbose &>debug.log

and post the output. It might also be good to get output from:

# dmidecode

Cheers
Chris
Comment 10 François Kooman 2008-01-22 10:59:05 EST
It's not really possible to test it anymore. The install CD boots fine, but
256MB of memory is not enough to install Fedora. So I give up. If Fedora ever
(graphically) installs again with 256MB I'll try again ;) Thanks for trying to
help! :)
Comment 11 Christopher Brown 2008-01-22 11:05:17 EST
Okay, thanks for trying anyway and for the additional testing. As there has been
no update from the original reporter in over six months I'm closing this but
please re-open if you are able to troubleshoot this issue further.

Note You need to log in before you can comment on or make changes to this bug.